void definirFigure(){
  // Définition des couleurs nécessaires
  int[] r = new int[13];
  int[] v = new int[13];
  int[] b = new int[13];
  for(int i = 1; i < r.length; i++){
    r[i] = (int)random(255);
    v[i] = (int)random(255);
    b[i] = (int)random(255);
  }
  // Définition des sommets
  pixelsParUnite(100);
  float phi = (1+sqrt(5))/2;
  definirSommet(1, 0, -1/phi, phi);
  definirSommet(2, 0, -1/phi, -phi);
  definirSommet(3, 0, 1/phi, phi);
  definirSommet(4, 0, 1/phi, -phi);
  definirSommet(5, phi, 0, -1/phi);
  definirSommet(6, phi, 0, 1/phi);
  definirSommet(7, -phi, 0, -1/phi);
  definirSommet(8, -phi, 0, 1/phi);
  definirSommet(9, -1/phi, phi, 0);
  definirSommet(10, -1/phi, -phi, 0);
  definirSommet(11, 1/phi, phi, 0);
  definirSommet(12, 1/phi, -phi, 0);
  definirSommet(13, 1, 1, 1);
  definirSommet(14, 1, 1, -1);
  definirSommet(15, 1, -1, 1);
  definirSommet(16, 1, -1, -1);
  definirSommet(17, -1, 1, 1);
  definirSommet(18, -1, 1, -1);
  definirSommet(19, -1, -1, 1);
  definirSommet(20, -1, -1, -1);
  // Définition des faces
  definirFace(1, 1, 3, 13, 6, 15);
  couleurFace(1, r[1], v[1], b[1]);
  definirFace(2, 1, 3, 17, 8, 19);
  couleurFace(2, r[2], v[2], b[2]);
  definirFace(3, 1, 19, 10, 12, 15);
  couleurFace(3, r[3], v[3], b[3]);
  definirFace(4, 2, 4, 18, 7, 20);
  couleurFace(4, r[4], v[4], b[4]);
  definirFace(5, 2, 4, 14, 5, 16);
  couleurFace(5, r[5], v[5], b[5]);
  definirFace(6, 2, 20, 10, 12, 16);
  couleurFace(6, r[6], v[6], b[6]);
  definirFace(7, 5, 6, 13, 11, 14);
  couleurFace(7, r[7], v[7], b[7]);
  definirFace(8, 7, 20, 10, 19, 8);
  couleurFace(8, r[8], v[8], b[8]);
  definirFace(9, 3, 17, 9, 11, 13);
  couleurFace(9, r[9], v[9], b[9]);
  definirFace(10, 4, 18, 9, 11, 14);
  couleurFace(10, r[10], v[10], b[10]);
  definirFace(11, 5, 6, 15, 12, 16);
  couleurFace(11, r[11], v[11], b[11]);
  definirFace(12, 7, 8, 17, 9, 18);
  couleurFace(12, r[12], v[12], b[12]);

  
  // creerGlissiere si nécessaire
  
  //creerGlissiereG1(0, 1, 0.7);
  //creerGlissiereG2(2, 8, 5);
  //creerGlissiereG3(2, 8, 5);
}

void initialiserFigure(){
  fixeRotationX(-30);
  fixeRotationY(30);
}

int n=0;

void redefinirCertainsSommets(){
   if (n<100) {
     fixeTailleCreux(0,0.01*n);
     ajouteRotationY(360.0/100.0);
     n=n+1;
     prendrePhoto("Figure "+n+".png");
   } 
}
