void definirFigure(){
  pixelsParUnite(100);
  
  // ajusterGlissiere si nécessaire
  creerGlissiereG1("nb de  triangles",3, 20, 20);  // nombre de côtés du polygone
  creerGlissiereG2("hauteur",-2, 2, -2);    // hauteur du sommet
  creerGlissiereG3("rayon",0, 2, 2);    // rayon supérieur
  
  // Définition des sommets
  for(int k=0;k<=20;k++) {
    definirSommet(k+1,2*cos(k*PI/10),0,2*sin(k*PI/10));
    definirSommet(k+22,2*cos(k*PI/10+PI/20),-2,2*sin(k*PI/10+PI/20));
  }
  
  // Définition des faces
  int coul;
  for(int k=1;k<=20;k++) {
    definirFace(k, k,k+1,k+21);
    if (k % 2 == 0) {coul=round(k*255.0/20);} else {coul=255-round(k*255.0/20);}
    couleurFace(k,255, coul, 255-coul);
  }
}

void initialiserFigure(){
    fixeRotationX(-40);
}

int n=0;

void redefinirCertainsSommets(){
    int nb = round(valG1);
    float h = valG2;
    float r = valG3;
    
    if (n<=100) {r=2*(1-n/100.0);};
    
    for(int k=0;k<=nb;k++) {
      redefinirSommet(k+1,2*cos(k*2*PI/nb),0,2*sin(k*2*PI/nb));
      redefinirSommet(k+22,r*cos(k*2*PI/nb+PI/nb),h,r*sin(k*2*PI/nb+PI/nb));
    }
    for(int k=1;k<=nb;k++) {
      integrerDansFigure(k,true);
    }
    for(int k=nb+1;k<=20;k++) {
      integrerDansFigure(k,false);
    }
    
    if (n<=100) {
      fixeTailleCreux(0,0.01*n);
      prendrePhoto("Figure "+n+".png"); 
      n=n+1;
    }
}
